Name: wmlicq
Version: 0.44
Release: 1
Summary:  Licq is an ICQ clone written fully in c++ using the Qt widget set
Copyright: GPL
Group: Applications/Communications
URL: http://pages.infinit.net/fairoff/licq/index.html
Source0: http://pages.infinit.net/fairoff/licq/licq-%{version}.tar.gz
Source1: http://pages.infinit.net/fairoff/licq/wmlicq.tar.gz
Source2: http://pages.infinit.net/fairoff/licq/status-images_icq.tar.gz
Source3: http://pages.infinit.net/fairoff/licq/status-images_jeff.tar.gz
Source4: http://pages.infinit.net/fairoff/licq/status-images_mark.tar.gz
Patch: licq-%{version}.patch
Icon: licq.gif
Requires: qt => 1.40
Conflicts: licq
BuildRoot: /tmp/%{name}-%{version}
Prefix: /usr
Packager: Ben Hochstedler <hochstrb@cs.rose-hulman.edu>

%changelog
* Wed Oct 14 1998 Ben Hochstedler <hochstrb@cs.rose-hulman.edu> 0.44-1
- Updated to version 0.44, and added prefix
* Wed Oct 14 1998 Ben Hochstedler <hochstrb@cs.rose-hulman.edu> 0.43-1
- Created from licq-0.43-2.src.rpm

%description
Licq is an ICQ clone written fully in c++ using the Qt widget set.
It is an attempt to give linux a non-java option to the ICQ protocol,
as the java version is unstable and a memory hog.  wmLicq is a
specialized version of Licq that has a Window Maker dock-able icon 
that presents status information in it.

%prep

%setup -T -b 0 -n licq-%{version}
%setup -T -D -n licq-%{version}/src -c -a 1
patch licqgui.cpp wmlicq.diff
%setup -T -D -n licq-%{version}/misc/images_icq -c -a 2
%setup -T -D -n licq-%{version}/misc/images_jeff -c -a 3
%setup -T -D -n licq-%{version}/misc/images_mark -c -a 4
%setup -T -D -n licq-%{version}
%patch

%build
autoconf
./configure --prefix=/usr
make

%install
# create directories
install -d $RPM_BUILD_ROOT/usr/{bin,share/Licq/{conf,translations,data/{images_icq,images_jeff,images_mark}}}
# install and strip binary
install -s src/licq $RPM_BUILD_ROOT/usr/bin
for i in misc/licq*
# install scripts
  do install $i $RPM_BUILD_ROOT/usr/bin
done
# install support files
for i in misc/{conf,data,translations}
  do for j in $i/*
    do install $j $RPM_BUILD_ROOT/usr/share/Licq/${i#*/}
  done
done

# install image themes
for i in misc/{images_icq,images_jeff,images_mark}
  do for j in $i/*
    do install $j $RPM_BUILD_ROOT/usr/share/Licq/data/${i#*/}
  done
done

%post
cat <<EOF
If installing for the first time, you should now read
read /usr/doc/%{name}-%{version}/README.

If upgrading, you should read /usr/doc/%{name}-%{version}/UPGRADE.

The extra status icons on the website have been provided in
the /usr/share/Licq/data/images* subdirectories.  Choose a
set and copy the ppm files to your own ~/.icq/data directory 
to try a set out if you don't like the default set.  
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc BUGS CHANGELOG README UPGRADE
/usr/bin/licq
/usr/bin/licq.javaconvert
/usr/bin/licq.micqconvert
/usr/bin/licq.winconvert
%dir /usr/share/Licq
/usr/share/Licq/conf
/usr/share/Licq/data
/usr/share/Licq/translations
